# Method: accounts.automaticImprovements.updateAutomaticImprovements

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements/updateAutomaticImprovements#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements/updateAutomaticImprovements#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements/updateAutomaticImprovements#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements/updateAutomaticImprovements#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements/updateAutomaticImprovements#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements/updateAutomaticImprovements#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements/updateAutomaticImprovements#try-it)

Updates the automatic improvements of an account.

### HTTP request

`PATCH https://merchantapi.googleapis.com/accounts/v1/{automaticImprovements.name=accounts/*/automaticImprovements}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `automaticImprovements.name` | `string` Identifier. The resource name of the automatic improvements. Format: `accounts/{account}/automaticImprovements`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. List of fields being updated. The following fields are supported (in both `snake_case` and `lowerCamelCase`): - `itemUpdates` - `itemUpdates.account_level_settings` - `imageImprovements` - `imageImprovements.account_level_settings` - `shippingImprovements` - `shippingImprovements.allow_shipping_improvements` |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements#AutomaticImprovements`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.automaticImprovements#AutomaticImprovements`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).